terraform {
  backend "local" {
    path = "./terraform.tfstate"
  }
  required_providers {
    proxmox = {
      source = "local/bpg/proxmox"
    }
  }
}

provider "proxmox" {
  endpoint  = var.virtual_environment_endpoint
  api_token = var.virtual_environment_api_token
  insecure  = true
}

data "terraform_remote_state" "common" {
  backend = "local"
  config = {
    path = "../common/terraform.tfstate"
  }
}
