# Connection Settings

variable "virtual_environment_endpoint" {
  description = "Proxmox Virtual Envirnment Endpoint e.g. https://pve.domain.tld:8006/."
  type        = string
}

variable "virtual_environment_api_token" {
  description = "Tocket to access PVE API on behalf of the user."
  type        = string
  sensitive   = true
}

variable "ssh_public_key" {
  description = "SSH public key to place into authorized_keys of a root user in new vm/ct."
  type        = string
  sensitive   = true
}


# Variables

variable "datastore_id" {
  type = string
}

variable "external_network_bridge_name" {
  type = string
}

variable "internal_network_bridge_name" {
  type = string
}
